@echo off
setlocal enabledelayedexpansion

@echo off

set "Company=MyCompanyName"

set KEY_FILE=private-key.pem
set CSR_FILE=csr.pem
set CERT_FILE=public-cert.pem
set PFX_FILE="%Company%.pfx"

echo Generating private key and CSR...
openssl req -nodes -newkey rsa:2048 -keyout %KEY_FILE% -out %CSR_FILE% -subj /CN="%Company%"

echo Creating self-signed certificate...
openssl x509 -req -in %CSR_FILE% -signkey %KEY_FILE% -out %CERT_FILE%

echo Creating PFX file without password...
openssl pkcs12 -export -out %PFX_FILE% -inkey %KEY_FILE% -in %CERT_FILE% -passout pass:

echo Cleanup: Removing temporary files...
del %KEY_FILE%
del %CSR_FILE%
del %CERT_FILE%

echo ==========================
echo Certificate generation complete. PFX file: %PFX_FILE%


@echo off
set "TargetDirectory=.\Deploy"

for /R "%TargetDirectory%" %%i in (*.exe) do (
    set "exeFile=%%i"
    echo Signing !exeFile!...
    "C:\Program Files Unrestricted\LazySign\lazysign\signtool.exe" sign /f "%Company%.pfx" /t http://timestamp.comodoca.com/authenticode "!exeFile!"
)

echo ==========================
echo Cleanup: Removing temporary files...
echo ===========================
del "%Company%.pfx"

